Bug 179046 - CVE-2006-0301 PDF splash handling heap overflow
CVE-2006-0301 PDF splash handling heap overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xpdf (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Mike McLean
impact=important,embargo=yes,reported...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-26 15:51 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0201
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-13 10:23:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (1.35 KB, patch)
2006-01-26 15:54 EST, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2006-01-26 15:51:32 EST
PDF splash handling heap overflow

Dirk Mueller told vendor-sec about a buffer overflow issue in the xpdf
codebase when handling splash images.


This issue also affects RHEL3
This issue also affects RHEL2.1
Comment 1 Josh Bressers 2006-01-26 15:54:39 EST
Created attachment 123745 [details]
Proposed patch
Comment 4 Ngo Than 2006-01-31 05:38:25 EST
The new PDF rasterizer "Splash" is included in xpdf-3.00 and newer, so
this issue is only effected in RHEL4 and FC5/FC5.
Comment 13 Red Hat Bugzilla 2006-02-13 10:23:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0201.html

Note You need to log in before you can comment on or make changes to this bug.